digiKam Developer Documentation: Digikam::ApplicationSettings Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::ApplicationSettings Class Reference
Inheritance diagram for Digikam::ApplicationSettings:

## Public Types
enum | AlbumSortRole { ByFolder = 0 , ByCategory , ByDate }
enum | ApplyToEntireGroup { No = 0 , Yes , Ask }
enum | ItemLeftClickAction { ShowPreview = 0 , StartEditor , ShowOnTable , OpenDefault }
typedef QHash< OperationType, ApplicationSettings::ApplyToEntireGroup > | OperationModes
typedef QHash< OperationType, QString > | OperationStrings
enum | StringComparisonType { Natural = 0 , Normal }
| Possible ways of comparing strings. More...

## Signals
void | balooSettingsChanged ()
void | recurseSettingsChanged ()
void | setupChanged ()

## Public Member Functions
bool | addAlbumCategoryName (const QString &name) const
void | addToImageFileFilter (const QString &extensions)
bool | askGroupingOperateOnAll (OperationType type)
| Asks the user whether the operation should be performed on all grouped images or just the first.
bool | delAlbumCategoryName (const QString &name) const
void | emitSetupChanged ()
QString | generalConfigGroupName () const
QStringList | getAlbumCategoryNames () const
bool | getAlbumMonitoring () const
AlbumSortRole | getAlbumSortRole () const
QString | getAllFileFilter () const
bool | getAllGroupsOpen () const
QFont | getApplicationFont () const
QString | getApplicationStyle () const
bool | getApplySidebarChangesDirectly () const
QString | getAudioFileFilter () const
bool | getCleanAtStart () const
QString | getCurrentTheme () const
bool | getDatabaseDirSetAtCmd () const
QString | getDateTimeFormat () const
DbEngineParameters | getDbEngineParameters () const
int | getDefaultIconSize () const
bool | getDetectFacesInNewImages () const
bool | getDrawFramesToGrouped () const
int | getDuplicatesAlbumTagRelation () const
HaarIface::RefImageSelMethod | getDuplicatesRefImageSelMethod () const
int | getDuplicatesSearchLastMaxSimilarity () const
int | getDuplicatesSearchLastMinSimilarity () const
int | getDuplicatesSearchRestrictions () const
bool | getExpandNewCurrentItem () const
bool | getFaceRecognitionBackgroundScan () const
ApplyToEntireGroup | getGroupingOperateOnAll (OperationType type) const
| Tells whether an operation should be performed on all grouped items or just the head item.
bool | getHelpBoxNotificationSeen ()
bool | getIconShowAspectRatio () const
bool | getIconShowColorLabel () const
bool | getIconShowComments () const
bool | getIconShowCoordinates () const
bool | getIconShowDate () const
bool | getIconShowFullscreen () const
bool | getIconShowImageFormat () const
bool | getIconShowModDate () const
bool | getIconShowName () const
bool | getIconShowOverlays () const
| Determines whether the overlay buttons should be displayed on the icons.
bool | getIconShowPickLabel () const
bool | getIconShowRating () const
bool | getIconShowResolution () const
bool | getIconShowSize () const
bool | getIconShowTags () const
bool | getIconShowTitle () const
QString | getIconTheme () const
QFont | getIconViewFont () const
QString | getImageFileFilter () const
int | getImageSeparationMode () const
int | getImageSeparationSortOrder () const
int | getImageSorting () const
int | getImageSortOrder () const
int | getItemLeftClickAction () const
int | getMagnifierSize () const
qreal | getMagnifierZoomFactor () const
int | getMinimumSimilarityBound () const
QString | getMovieFileFilter () const
bool | getPreviewAutoPlay () const
bool | getPreviewOverlay () const
PreviewSettings | getPreviewSettings () const
bool | getPreviewShowIcons () const
bool | getPreviewSmoothScaled () const
int | getRatingFilterCond () const
QString | getRawFileFilter () const
bool | getRecurseAlbums () const
bool | getRecurseTags () const
bool | getScaleFitToWindow () const
bool | getScanAtStart () const
bool | getScrollItemToCenter () const
bool | getSelectFirstAlbumItem () const
bool | getShowAlbumToolTips () const
bool | getShowFolderTreeViewItemsCount () const
bool | getShowPermanentDeleteDialog () const
bool | getShowSplashScreen () const
bool | getShowThumbbar () const
bool | getShowToolTips () const
bool | getShowTrashDeleteDialog () const
DMultiTabBar::TextStyle | getSidebarTitleStyle () const
StringComparisonType | getStringComparisonType () const
| Tells in which way strings are compared at the moment.
bool | getSyncBalooToDigikam () const
bool | getSyncDigikamToBaloo () const
QFont | getToolTipsFont () const
bool | getToolTipsShowAlbumCaption () const
bool | getToolTipsShowAlbumCategory () const
bool | getToolTipsShowAlbumCollection () const
bool | getToolTipsShowAlbumDate () const
bool | getToolTipsShowAlbumName () const
bool | getToolTipsShowAlbumPreview () const
bool | getToolTipsShowAlbumTitle () const
bool | getToolTipsShowComments () const
bool | getToolTipsShowFileDate () const
bool | getToolTipsShowFileName () const
bool | getToolTipsShowFileSize () const
bool | getToolTipsShowImageAR () const
bool | getToolTipsShowImageDim () const
bool | getToolTipsShowImageType () const
bool | getToolTipsShowLabelRating () const
bool | getToolTipsShowPhotoDate () const
bool | getToolTipsShowPhotoExpo () const
bool | getToolTipsShowPhotoFlash () const
bool | getToolTipsShowPhotoFocal () const
bool | getToolTipsShowPhotoLens () const
bool | getToolTipsShowPhotoMake () const
bool | getToolTipsShowPhotoMode () const
bool | getToolTipsShowPhotoWB () const
bool | getToolTipsShowTags () const
bool | getToolTipsShowTitles () const
bool | getToolTipsShowVideoAspectRatio () const
bool | getToolTipsShowVideoAudioBitRate () const
bool | getToolTipsShowVideoAudioChannelType () const
bool | getToolTipsShowVideoAudioCodec () const
bool | getToolTipsShowVideoDuration () const
bool | getToolTipsShowVideoFrameRate () const
bool | getToolTipsShowVideoVideoCodec () const
int | getTreeViewFaceSize () const
QFont | getTreeViewFont () const
int | getTreeViewIconSize () const
int | getUpdateType () const
bool | getUpdateWithDebug () const
bool | getUseNativeFileDialog () const
bool | getUseTrash () const
VersionManagerSettings | getVersionManagerSettings () const
bool | isStringTypeNatural () const
bool | readMsgBoxShouldBeShown (const QString &dontShowAgainName)
void | readSettings ()
void | saveMsgBoxShouldBeShown (const QString &dontShowAgainName)
| Save the fact that the message box should not be shown again.
void | saveSettings ()
void | setAlbumCategoryNames (const QStringList &list)
void | setAlbumMonitoring (bool val)
void | setAlbumSortRole (const AlbumSortRole role)
void | setAllGroupsOpen (bool val)
void | setApplicationFont (const QFont &fnt)
void | setApplicationStyle (const QString &style)
void | setApplySidebarChangesDirectly (bool val)
void | setCleanAtStart (bool val)
void | setCurrentTheme (const QString &theme)
void | setDatabaseDirSetAtCmd (bool val)
void | setDateTimeFormat (const QString &fmt)
void | setDbEngineParameters (const DbEngineParameters &params)
void | setDefaultIconSize (int val)
void | setDetectFacesInNewImages (bool val)
void | setDrawFramesToGrouped (bool val)
void | setDuplicatesAlbumTagRelation (int val)
void | setDuplicatesReferenceImageSelectionMethod (HaarIface::RefImageSelMethod val)
void | setDuplicatesSearchLastMaxSimilarity (int val)
void | setDuplicatesSearchLastMinSimilarity (int val)
void | setDuplicatesSearchRestrictions (int val)
void | setExpandNewCurrentItem (bool val)
void | setFaceRecognitionBackgroundScan (bool val)
void | setGroupingOperateOnAll (OperationType type, ApplyToEntireGroup applyAll)
| Defines whether an operation should be performed on all grouped items or just the head item.
void | setHelpBoxNotificationSeen (bool val)
void | setIconShowAspectRatio (bool val)
void | setIconShowColorLabel (bool val)
void | setIconShowComments (bool val)
void | setIconShowCoordinates (bool val)
void | setIconShowDate (bool val)
void | setIconShowFullscreen (bool val)
void | setIconShowImageFormat (bool val)
void | setIconShowModDate (bool val)
void | setIconShowName (bool val)
void | setIconShowOverlays (bool val)
| Sets the visibility of the overlay buttons on the image icons.
void | setIconShowPickLabel (bool val)
void | setIconShowRating (bool val)
void | setIconShowResolution (bool val)
void | setIconShowSize (bool val)
void | setIconShowTags (bool val)
void | setIconShowTitle (bool val)
void | setIconTheme (const QString &theme)
void | setIconViewFont (const QFont &font)
void | setImageSeparationMode (int mode)
void | setImageSeparationSortOrder (int order)
void | setImageSorting (int sorting)
| means ascending or descending
void | setImageSortOrder (int order)
void | setItemLeftClickAction (int action)
void | setMagnifierSize (int size)
void | setMagnifierZoomFactor (qreal factor)
void | setMinimumSimilarityBound (int val)
void | setPreviewAutoPlay (bool val)
void | setPreviewOverlay (bool val)
| Sets the visibility of the text properties overlay over the image and video preview.
void | setPreviewSettings (const PreviewSettings &settings)
void | setPreviewShowIcons (bool val)
void | setPreviewSmoothScaled (bool val)
void | setRatingFilterCond (int val)
void | setRecurseAlbums (bool val)
void | setRecurseTags (bool val)
void | setScaleFitToWindow (bool val)
void | setScanAtStart (bool val)
void | setScrollItemToCenter (bool val)
void | setSelectFirstAlbumItem (bool val)
void | setShowAlbumToolTips (bool val)
void | setShowFolderTreeViewItemsCount (bool val)
void | setShowOnlyPersonTagsInPeopleSidebar (bool val)
void | setShowPermanentDeleteDialog (bool val)
void | setShowSplashScreen (bool val)
void | setShowThumbbar (bool val)
void | setShowToolTips (bool val)
void | setShowTrashDeleteDialog (bool val)
void | setSidebarTitleStyle (DMultiTabBar::TextStyle style)
void | setStringComparisonType (ApplicationSettings::StringComparisonType val)
| Defines the way in which string comparisons are performed.
void | setSyncBalooToDigikam (bool val)
void | setSyncDigikamToBaloo (bool val)
void | setToolTipsFont (const QFont &font)
void | setToolTipsShowAlbumCaption (bool val)
void | setToolTipsShowAlbumCategory (bool val)
void | setToolTipsShowAlbumCollection (bool val)
void | setToolTipsShowAlbumDate (bool val)
void | setToolTipsShowAlbumName (bool val)
void | setToolTipsShowAlbumPreview (bool val)
void | setToolTipsShowAlbumTitle (bool val)
void | setToolTipsShowComments (bool val)
void | setToolTipsShowFileDate (bool val)
void | setToolTipsShowFileName (bool val)
void | setToolTipsShowFileSize (bool val)
void | setToolTipsShowImageAR (bool val)
void | setToolTipsShowImageDim (bool val)
void | setToolTipsShowImageType (bool val)
void | setToolTipsShowLabelRating (bool val)
void | setToolTipsShowPhotoDate (bool val)
void | setToolTipsShowPhotoExpo (bool val)
void | setToolTipsShowPhotoFlash (bool val)
void | setToolTipsShowPhotoFocal (bool val)
void | setToolTipsShowPhotoLens (bool val)
void | setToolTipsShowPhotoMake (bool val)
void | setToolTipsShowPhotoMode (bool val)
void | setToolTipsShowPhotoWB (bool val)
void | setToolTipsShowTags (bool val)
void | setToolTipsShowTitles (bool val)
void | setToolTipsShowVideoAspectRatio (bool val)
void | setToolTipsShowVideoAudioBitRate (bool val)
void | setToolTipsShowVideoAudioChannelType (bool val)
void | setToolTipsShowVideoAudioCodec (bool val)
void | setToolTipsShowVideoDuration (bool val)
void | setToolTipsShowVideoFrameRate (bool val)
void | setToolTipsShowVideoVideoCodec (bool val)
void | setTreeViewFaceSize (int val)
void | setTreeViewFont (const QFont &font)
void | setTreeViewIconSize (int val)
void | setUpdateType (int type)
void | setUpdateWithDebug (bool dbg)
void | setUseNativeFileDialog (bool val)
void | setUseTrash (bool val)
void | setVersionManagerSettings (const VersionManagerSettings &settings)
bool | showAlbumToolTipsIsValid () const
bool | showOnlyPersonTagsInPeopleSidebar () const
bool | showToolTipsIsValid () const

## Static Public Member Functions
static ApplicationSettings * | instance ()
static QString | operationTypeExplanation (OperationType type)
| Gives a translated explanation of the operation and an empty string, if there is none (e.g.
static QString | operationTypeTitle (OperationType type)
| Gives the translated title/short explanation of the operation.

## Member Enumeration Documentation

## ◆ StringComparisonType

enum Digikam::ApplicationSettings::StringComparisonType

Enumerator
Natural | Natural compare using KStringHandler::naturalCompare.
Normal | Normal comparison using Qt's compare function.

## Member Function Documentation

## ◆ askGroupingOperateOnAll()

bool Digikam::ApplicationSettings::askGroupingOperateOnAll | ( | OperationType | type | ) |

Also supplies an option to remember the answer.

Parameters

  type | Operation to be performed

Returns
  Whether to apply to all images or just one

## ◆ getGroupingOperateOnAll()

ApplicationSettings::ApplyToEntireGroup Digikam::ApplicationSettings::getGroupingOperateOnAll | ( | OperationType | type | ) | const

Parameters

  type | Operation to be performed

Returns
  Whether to apply to all images or just one, or ask

## ◆ getStringComparisonType()

ApplicationSettings::StringComparisonType Digikam::ApplicationSettings::getStringComparisonType | ( |  | ) | const

Returns
  string comparison type to use.

## ◆ operationTypeExplanation()

QString Digikam::ApplicationSettings::operationTypeExplanation | ( | OperationType | type | ) |
| static

for tooltips)

Parameters

  type | Operation to be performed

Returns
  Translated operation explanation

## ◆ operationTypeTitle()

QString Digikam::ApplicationSettings::operationTypeTitle | ( | OperationType | type | ) |
| static

Parameters

  type | Operation to be performed

Returns
  Translated operation title/short explanation

## ◆ readMsgBoxShouldBeShown()

bool Digikam::ApplicationSettings::readMsgBoxShouldBeShown | ( | const QString & | dontShowAgainName | ) |

Returns
  true if the corresponding message box should be shown.

Parameters

  dontShowAgainName | the name that identify the message box.

## ◆ saveMsgBoxShouldBeShown()

void Digikam::ApplicationSettings::saveMsgBoxShouldBeShown | ( | const QString & | dontShowAgainName | ) |

Parameters

  dontShowAgainName | the name that identify the message box. If empty, this method does nothing.

## ◆ setGroupingOperateOnAll()

void Digikam::ApplicationSettings::setGroupingOperateOnAll | ( | OperationType | type,
|  | ApplicationSettings::ApplyToEntireGroup | applyAll
| ) |  |

Parameters

  type | Operation to be performed
  applyAll | Whether to apply to all images or just one, or ask

## ◆ setStringComparisonType()

void Digikam::ApplicationSettings::setStringComparisonType | ( | ApplicationSettings::StringComparisonType | val | ) |

Parameters

  val | new way to compare strings